
package com.star.payroll.db;

import javax.ejb.*;
import java.sql.*;
import javax.sql.*;

/**
 * Database setup code for the employee and payroll tables.
 */
public class DBInit {
    DataSource ds;

    public DBInit() { }

    public DBInit(DataSource ds) {
        this.ds = ds;
    }

    public void execute() {
        try {
            Connection con = ds.getConnection("", "");
            execute(con);
        } catch ( Exception ex ) {
            throw new EJBException(ex);
        }
    }

    public void execute(Connection con) {
        try {
            Statement stmt = con.createStatement();

            trace("creating tables");

            try {
                stmt.executeUpdate("drop table paychecks");
            } catch (Exception ex) {}
            try {
                stmt.executeUpdate("drop table employees");
            } catch (Exception ex) {}

            trace("A");
            stmt.executeUpdate("create table paychecks ( " +
                "pay_empl         int, " +
                "pay_salary       float, " +
                "pay_ded_benefits float " +
                ")" );
            trace("B");
            stmt.executeUpdate("create table employees ( " +
                "empl_id int, " +
                "empl_first_name  varchar(32), " +
                "empl_last_name   varchar(32), " +
                "empl_addr_street varchar(32), " +
                "empl_addr_city   varchar(32), " +
                "empl_addr_zip    varchar(10), " +
                "empl_addr_state  varchar(2), " +
                "empl_dept_id     varchar(10), " +
                "empl_start_date  date, " +
                "empl_position    varchar(5), " +
                "empl_birth_date  date" +
                ")" );

            trace("inserting records into tables");

            trace("C");
            stmt.executeUpdate("insert into paychecks values " +
    "(100, 200000.00, 0.0)" );

            trace("D");
            stmt.executeUpdate("insert into employees values " +
    "(100, 'Duke', 'Mascot', '4150 Network Circle', 'Santa Clara', " +
    "'95054', 'CA', 'EJBARCH', '1996-04-04', 'Eng', '1992-03-16' )" );
            
            con.close();
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new EJBException(ex);
        }
    }

    void trace(String s) { 
        System.err.println("DAO: " + s); 
    }

}

