package com.wombat.benefits;


/**
 * Value class that stores benefit plan options.
 * This is used to pass options information between remote clients and EJBs.
 */
public class Options implements java.io.Serializable {
    String[] optionDescription;
    double[] optionCost;
    int selectedOption;
    int size;

    public Options() {
        size = 0;
        selectedOption = -1;
    }

    public Options(int size) {
        this.size = size;
        optionDescription = new String[size];
        optionCost = new double[size];
        selectedOption = -1;
    }

    public String getOptionDescription(int i) {
        return optionDescription[i];
    }

    public void setOptionDescription(int i, String val) {
        optionDescription[i] = val;
    }

    public String[] getOptionDescription() {
        return optionDescription;
    }

    public void setOptionDescription(String[] vals) {
        optionDescription = vals;
    }

    public double getOptionCost(int i) {
        return optionCost[i];
    }

    public void setOptionCost(int i, double val) {
        optionCost[i] = val;
    }

    public double[] getOptionCost() {
        return optionCost;
    }

    public int getSelectedOption() {
        return selectedOption;
    }

    public void setSelectedOption(int val) {
        selectedOption = val;
    }

    public int getSize() {
        return size;
    }
}
