
package com.wombat.plan;

import java.util.Collection;
import javax.ejb.*;
import com.wombat.AbstractEntityBean;

/**
 * CMP EntityBean that represents information about a doctor.
 */
public abstract class DoctorBean extends AbstractEntityBean {

    // CMP fields
    public abstract String getFirstName();
    public abstract void setFirstName(String v);

    public abstract String getLastName();
    public abstract void setLastName(String v);

    public abstract String getSpecialty();
    public abstract void setSpecialty(String v);

    public abstract String[] getHospitals();
    public abstract void setHospitals(String[] v);

    public abstract int getPracticeSince();
    public abstract void setPracticeSince(int v);

    // CMR fields
    public abstract Collection getPlans();
    public abstract void setPlans(Collection c);



    public DoctorPkey ejbCreate(String firstName, String lastName, 
		     String specialty, String[] hospitals, int practiceSince) 
	throws CreateException
    {
	setFirstName(firstName);
	setLastName(lastName);
	setSpecialty(specialty);
	setHospitals(hospitals);
	setPracticeSince(practiceSince);
	return null;
    }

    public void ejbPostCreate(String firstName, String lastName, 
		     String specialty, String[] hospitals, int practiceSince) 
	throws CreateException
    {}
}
