package com.wombat.plan;

import javax.ejb.*;
import java.util.Collection;

/**
 * Local Home interface for PlanEJB.
 */
public interface PlanHome extends EJBLocalHome {

    // create methods
    Plan create(String planId, String planName, int planType, 
            double coverageFactor, double ageFactor, double smokerCost)
        throws CreateException;

    // finder methods
    Plan findByPrimaryKey(String planId) throws FinderException;
    Collection findMedicalPlans() throws FinderException;
    Collection findDentalPlans() throws FinderException;
    Collection findByDoctor(String firstName, String lastName) 
        throws FinderException;

    // home business methods
    void updateSmokerCosts(double cost) throws FinderException, PlanException;
    String[] getMedicalPlanNames() throws FinderException;
    String[] getDentalPlanNames() throws FinderException;
}
