/*
 *
 * Copyright 1999-2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import java.sql.*;

import com.star.payroll.db.DBInit;

public class dbsetup {

    static final String PBdriver = "com.pointbase.jdbc.jdbcUniversalDriver";
    static final String PBurl = "jdbc:pointbase:server://localhost:9092/sun-appserv-samples";
    static final String PBuser = "pbPublic";
    static final String PBpass = "pbPublic";

    static final String MSdriver = "connect.microsoft.MicrosoftDriver";
    static final String MSurl = "jdbc:microsoft://localhost:1433/msdb";
    static final String MSuser = "sa";
    static final String MSpass = "sa";

    static final String ORdriver = "com.merant.sequelink.jdbc.SequeLinkDriver";
    static final String ORurl = "jdbc:oracle:thin:@localhost:1521:test";
    static final String ORuser = "scott";
    static final String ORpass = "tiger";

    static final String CloudscapeDriver = "RmiJdbc.RJDriver";
    static final String CloudscapeUrl = "jdbc:rmi://localhost:1099/jdbc:cloudscape:CloudscapeDB;create=true";
    static final String CloudscapeUser = "scott";
    static final String CloudscapePass = "tiger";

    public dbsetup(String[] args) {
    
	boolean shouldCreate=false;
	boolean shouldDelete=false;

	String url=null; 
	String driver=null;
	String user = null;
	String pass = null;
        
	// parse args: -db cloudscape or oracle or microsoft
	for ( int i=0; i<args.length-1; i++ ) {
	    if ( args[i].equals("-db") ) {
		if ( args[i+1].equalsIgnoreCase("oracle") ) {
		    driver = ORdriver;
		    url = ORurl;
		    user = ORuser;
		    pass = ORpass;
		}
		else if ( args[i+1].equalsIgnoreCase("microsoft") ) {
		    driver = MSdriver;
		    url = MSurl;
		    user = MSuser;
		    pass = MSpass;
		}
		else if ( args[i+1].equalsIgnoreCase("cloudscape") ) {
		    driver = CloudscapeDriver;
		    url = CloudscapeUrl;
		    user = CloudscapeUser;
		    pass = CloudscapePass;
		}
		else if ( args[i+1].equalsIgnoreCase("pointbase") ) {
		    driver = PBdriver;
		    url = PBurl;
		    user = PBuser;
		    pass = PBpass;
		}
	    }
	}
        
	try {
	    Class.forName(driver);
	} catch (ClassNotFoundException e) {
	    e.printStackTrace();
	    System.exit(1);
	}

	try {
	    Connection dbcon = DriverManager.getConnection(url,user,pass);
	    System.out.println("jdbc connection established");

	    DBInit dbInit = new DBInit();
	    dbInit.execute(dbcon);
	} catch (Exception sqle) {
	    sqle.printStackTrace();
	    System.exit(1);
	}
    } 

    public static void main(String[] args) {
	new dbsetup(args);
    }
}


