package com.star.benefits;

/**
 * Exception used for reporting benefits enrollment errors.
 */
public class EnrollmentException extends Exception {
    // error codes
    public static int UNKNOWN = 0;
    public static int INVAL_PARAM = 1;

    static String[] defaultMessage = {
        "unknown error code",
        "invalid value of input parameter"
    };

    private int errorCode;

    public EnrollmentException() {
        super();
    }

    public EnrollmentException(String s) {
        super(s);
    }

    public EnrollmentException(int errorCode, String s) {
        super(s);
        this.errorCode = errorCode;
    }

    public EnrollmentException(int errorCode) {
        super(errorCode >= 0 && errorCode < defaultMessage.length ?
            defaultMessage[errorCode] : "");
        this.errorCode = errorCode;
    }
}
