package com.star.benefits.db;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import javax.sql.DataSource;

public class DBQueryBean {
    protected PreparedStatement pstmt;
    protected ResultSet resultSet = null;
    private Connection con;

    protected DBQueryBean(DataSource ds, String statement) 
        throws SQLException 
    {
        con = ds.getConnection();
        pstmt = con.prepareStatement(statement);    
    }

    public void execute() throws SQLException {
        resultSet = pstmt.executeQuery();
    }

    public boolean next() throws SQLException {
        return resultSet.next();
    }

    public void release() {
        try {
            if (resultSet != null)
                resultSet.close();
            if (pstmt != null)
                pstmt.close();
            if (con != null)
                con.close();
        } catch (SQLException ex) {
        }
    }
}
