package com.star.benefits.db;

import java.sql.SQLException;
import java.util.Date;
import javax.sql.DataSource;

public class DBQueryEmployee extends DBQueryBean {
    static String statement = 
        "SELECT empl_first_name, empl_last_name, empl_birth_date, " +
            "empl_start_date, empl_dept_id " +
        "FROM employees WHERE empl_id = ?";

    public DBQueryEmployee(DataSource ds) throws SQLException {
        super(ds, statement);
    }

    public void setEmployeeNumber(int emplNum) throws SQLException {
        pstmt.setInt(1, emplNum);
    }

    public String getFirstName() throws SQLException {
        return resultSet.getString(1);
    }
    public String getLastName() throws SQLException {
        return resultSet.getString(2);
    }
    public Date getBirthDate() throws SQLException {
        return resultSet.getDate(3);
    }
    public Date getStartDate() throws SQLException {
        return resultSet.getDate(4);
    }
    public int getDepartmentNumber() throws SQLException {
        return resultSet.getInt(5);
    }
}
