package com.star.benefits.db;

import java.sql.SQLException;
import javax.sql.DataSource;

public class DBUpdateSelection extends DBUpdateBean {
    static String statement = 
        "UPDATE Selections SET " +
            "sel_coverage = ?, " +
            "sel_medical_plan = ?, " +
            "sel_dental_plan = ?, " +
            "sel_smoker = ? " +
        "WHERE sel_empl = ?";
    
    public DBUpdateSelection(DataSource ds) throws SQLException {
        super(ds, statement);
    }

    public void setEmplNumber(int emplNum) throws SQLException {
        pstmt.setInt(5, emplNum);
    }
    public void setCoverage(int cov) throws SQLException {
        pstmt.setInt(1, cov);
    }
    public void setMedicalPlanId(String id) throws SQLException {
        pstmt.setString(2, id);
    }
    public void setDentalPlanId(String id) throws SQLException {
        pstmt.setString(3, id);
    }
    public void setSmokerStatus(boolean st) throws SQLException {
        pstmt.setString(4, st ? "Y" : "N");
    }
}
